Holger's Java API

## com.antelmann.math
Interface Addable<T extends Addable<?>>

All Known Implementing Classes:
  CounterMap, DataMatrix, DataPoint, GeoPoint, Money, RomanNumber

    public interface Addable<T extends Addable<?>>

Objects implementing this interface provide a way to combine themselves in a defined way. All Number objects would logically be Addable objects if they were actually implementing this interface.

Since:
  03.08.2008, 19:20:06
Author:
  Holger Antelmann

Method Summary
`T` `add(T other)` adds this instance to the other given one and returns the result; this entry itself remains untouched

Method Detail

### add

    T add(T other)

  adds this instance to the other given one and returns the result; this entry itself remains untouched

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads